# Method: customers.devices.signDevice

- [HTTP request](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/signDevice#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/signDevice#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/signDevice#body.request_body)
  - [JSON representation](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/signDevice#body.request_body.SCHEMA_REPRESENTATION)
    - [JSON representation](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/signDevice#body.request_body.SCHEMA_REPRESENTATION.device.SCHEMA_REPRESENTATION)
    - [JSON representation](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/signDevice#body.request_body.SCHEMA_REPRESENTATION.device.SCHEMA_REPRESENTATION_1)
    - [JSON representation](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/signDevice#body.request_body.SCHEMA_REPRESENTATION.device.SCHEMA_REPRESENTATION_2)
- [Response body](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/signDevice#body.response_body)
- [Authorization Scopes](https://developers.google.com/spectrum-access-system/reference/rest/customers.devices/signDevice#body.aspect)

Signs a `https://developers.google.com/spectrum-access-system/reference/rest/customers.devices#Device`.

### HTTP request

`POST https://sasportal.googleapis.com/v1alpha1/{device.name=customers/*/devices/*}:signDevice`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `device.name` | `string` Output only. The resource path name. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "device": { "name": string, "fccId": string, "serialNumber": string, "preloadedConfig": { object (`https://developers.google.com/spectrum-access-system/reference/rest/customers.devices#Device.DeviceConfig`) }, "activeConfig": { object (`https://developers.google.com/spectrum-access-system/reference/rest/customers.devices#Device.DeviceConfig`) }, "state": enum (`https://developers.google.com/spectrum-access-system/reference/rest/customers.devices#Device.State_1`), "grants": [ { object (`https://developers.google.com/spectrum-access-system/reference/rest/customers.devices#Device.DeviceGrant`) } ] } } ``` |

| Fields ||
|---|---|
| `device.fccId` | `string` The FCC identifier of the device. |
| `device.serialNumber` | `string` A serial number assigned to the device by the device manufacturer. |
| `device.preloadedConfig` | ``object (`https://developers.google.com/spectrum-access-system/reference/rest/customers.devices#Device.DeviceConfig`)`` Configuration of the device, as specified via SAS Portal API. |
| `device.activeConfig` | ``object (`https://developers.google.com/spectrum-access-system/reference/rest/customers.devices#Device.DeviceConfig`)`` Output only. Current configuration of the device as registered to the SAS. |
| `device.state` | ``enum (`https://developers.google.com/spectrum-access-system/reference/rest/customers.devices#Device.State_1`)`` Output only. Device state. |
| `device.grants[]` | ``object (`https://developers.google.com/spectrum-access-system/reference/rest/customers.devices#Device.DeviceGrant`)`` Output only. Grants held by the device. |

### Response body

If successful, the response body will be empty.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/userinfo.email`